]> granicus.if.org Git - python/commitdiff
update configure again :)
authorBenjamin Peterson <benjamin@python.org>
Wed, 16 Jul 2008 02:23:25 +0000 (02:23 +0000)
committerBenjamin Peterson <benjamin@python.org>
Wed, 16 Jul 2008 02:23:25 +0000 (02:23 +0000)
configure

index 0aa9de657b74c01216f8bf7786e71456d0a2d143..089104ca908a4bdd16c074813ca100c6253dd330 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 64990 .
+# From configure.in Revision: 64992 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for python 3.0.
 #
@@ -4604,6 +4604,7 @@ echo "$as_me: error: proper usage is --with-universalarch=32-bit|64-bit|all" >&2
 
 
                BASECFLAGS="${UNIVERSAL_ARCH_FLAGS} -isysroot ${UNIVERSALSDK} ${BASECFLAGS}"
+               CFLAGS="${UNIVERSAL_ARCH_FLAGS} -isysroot ${UNIVERSALSDK} ${CFLAGS}"
            fi
 
            ;;
@@ -12773,6 +12774,7 @@ CC="$ac_save_cc"
 
 
 
+
 case $ac_sys_system/$ac_sys_release in
   Darwin/[01567]\..*)
     OTHER_LIBTOOL_OPT="-prebind -seg1addr 0x10000000"
@@ -13115,6 +13117,7 @@ fi
 echo "${ECHO_T}$LINKFORSHARED" >&6; }
 
 
+
 { echo "$as_me:$LINENO: checking CFLAGSFORSHARED" >&5
 echo $ECHO_N "checking CFLAGSFORSHARED... $ECHO_C" >&6; }
 if test ! "$LIBRARY" = "$LDLIBRARY"
@@ -15461,6 +15464,58 @@ if test "$ipv6" = "yes" -a "$ipv6lib" != "none"; then
        fi
 fi
 
+{ echo "$as_me:$LINENO: checking for OSX 10.5 SDK or later" >&5
+echo $ECHO_N "checking for OSX 10.5 SDK or later... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <Carbon/Carbon.h>
+int
+main ()
+{
+FSIORefNum fRef = 0
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_OSX105_SDK 1
+_ACEOF
+
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
 # Check for --with-doc-strings
 { echo "$as_me:$LINENO: checking for --with-doc-strings" >&5
 echo $ECHO_N "checking for --with-doc-strings... $ECHO_C" >&6; }